Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(404)

Unified Diff: source/libvpx/build/make/configure.sh

Issue 394353005: libvpx: Pull from upstream (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/deps/third_party/libvpx/
Patch Set: Created 6 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « source/config/win/x64/vpx_config.asm ('k') | source/libvpx/build/make/iosbuild.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: source/libvpx/build/make/configure.sh
===================================================================
--- source/libvpx/build/make/configure.sh (revision 284462)
+++ source/libvpx/build/make/configure.sh (working copy)
@@ -485,6 +485,7 @@
print_config_h ARCH "${TMP_H}" ${ARCH_LIST}
print_config_h HAVE "${TMP_H}" ${HAVE_LIST}
print_config_h CONFIG "${TMP_H}" ${CONFIG_LIST}
+ print_config_vars_h "${TMP_H}" ${VAR_LIST}
echo "#endif /* VPX_CONFIG_H */" >> ${TMP_H}
mkdir -p `dirname "$1"`
cmp "$1" ${TMP_H} >/dev/null 2>&1 || mv ${TMP_H} "$1"
@@ -550,6 +551,15 @@
|| die "Must be yasm, nasm or auto: ${optval}"
alt_as="${optval}"
;;
+ --size-limit=*)
+ w="${optval%%x*}"
+ h="${optval##*x}"
+ VAR_LIST="DECODE_WIDTH_LIMIT ${w} DECODE_HEIGHT_LIMIT ${h}"
+ [ ${w} -gt 0 -a ${h} -gt 0 ] || die "Invalid size-limit: too small."
+ [ ${w} -lt 65536 -a ${h} -lt 65536 ] \
+ || die "Invalid size-limit: too big."
+ enable_feature size_limit
+ ;;
--prefix=*)
prefix="${optval}"
;;
@@ -1324,6 +1334,16 @@
done
}
+print_config_vars_h() {
+ local header=$1
+ shift
+ while [ $# -gt 0 ]; do
+ upname="`toupper $1`"
+ echo "#define ${upname} $2" >> $header
+ shift 2
+ done
+}
+
print_webm_license() {
local destination=$1
local prefix="$2"
« no previous file with comments | « source/config/win/x64/vpx_config.asm ('k') | source/libvpx/build/make/iosbuild.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698